> ## Documentation Index > Fetch the complete documentation index at: https://docs.mapp.com/llms.txt > Use this file to discover all available pages before exploring further. # Get process details > Returns information for the process identified by the specified process ID. ## OpenAPI ````json GET /process/getDetails { "openapi": "3.0.4", "info": { "title": "Engage public API", "version": "1" }, "servers": [ { "url": "https://your-engage-domain.com/api/rest" } ], "tags": [ { "name": "Address Attributes" }, { "name": "Async" }, { "name": "Audit Log" }, { "name": "Automation" }, { "name": "Blacklist" }, { "name": "CMS" }, { "name": "Contact" }, { "name": "Content" }, { "name": "Coupon" }, { "name": "Draft Message" }, { "name": "Ecommerce" }, { "name": "Group" }, { "name": "Group Attributes" }, { "name": "Landing Page" }, { "name": "Member Attributes" }, { "name": "Membership" }, { "name": "Message" }, { "name": "Meta" }, { "name": "Mobile Push" }, { "name": "Prepared Message" }, { "name": "Process" }, { "name": "Profile Attributes" }, { "name": "Related Data" }, { "name": "Segmentation" }, { "name": "System" }, { "name": "System User" }, { "name": "Usage Statistics" }, { "name": "User" }, { "name": "Whiteboard" } ], "paths": { "/process/getDetails": { "get": { "tags": [ "Process" ], "summary": "Get process details", "description": "Returns information for the process identified by the specified process ID.", "operationId": "getProcessDetails", "parameters": [ { "name": "processId", "in": "query", "description": "Process identifier", "required": true, "schema": { "type": "integer", "format": "int64" } } ], "responses": { "200": { "description": "", "content": { "application/octet-stream": { "schema": { "$ref": "#/components/schemas/ProcessDetails" } } } }, "400": { "description": "", "content": { "application/octet-stream": {} } } } } } }, "components": { "schemas": { "ProcessDetails": { "type": "object", "properties": { "processId": { "type": "integer", "format": "int64" }, "processName": { "type": "string" }, "entityType": { "type": "string" }, "entityId": { "type": "string" }, "status": { "enum": [ "FAILED", "FINISHED", "PAUSED", "PROCESSING" ], "type": "string" }, "processedCount": { "type": "integer", "format": "int64" }, "totalCount": { "type": "integer", "format": "int64" }, "startDate": { "type": "string" }, "estimatedEndDate": { "type": "string" }, "endDate": { "type": "string" }, "duration": { "type": "integer", "format": "int64" }, "executorName": { "type": "string" }, "executorEmail": { "type": "string" }, "error": { "type": "string" } } } } } } ````